<?php

class Cp_Cookie extends Module
{
    function __construct()
    {
        $this->name          = 'cp_cookie';
        $this->tab           = 'front_office_features';
        $this->author        = 'CoderPlace';
        $this->version       = '1.0.0';
        $this->module_key    = '98954d996259885532adabb50f129a9d';
        $this->dir           = '/modules/cp_cookie/';
        $this->setup         = $this->getconf();
        $this->psver         = $this->psversion();
        $this->bootstrap     = true;
        parent::__construct();
        $this->displayName = $this->l('CP - Cookie');
        $this->description = $this->l('This module displays a nice information about Cookies in your shop');
    }

    public function inconsistency()
    {
        return true;
    }

    function install()
    {
        if ($this->psversion() == 8) {
            if (parent::install() == false OR ! $this->registerHook('displayFooter') OR ! 
                Configuration::updateValue('update_' . $this->name, '0') OR ! 
                Configuration::updateValue('cp_cookie_opacity', '1') OR ! 
                Configuration::updateValue('cp_cookie_position', '2') OR ! 
                Configuration::updateValue('cp_cookie_bg', '333333') OR ! 
                Configuration::updateValue('cp_cookie_padding', '8') OR ! 
                Configuration::updateValue('cp_cookie_close_bg', '000000') OR ! 
                Configuration::updateValue('cp_cookie_close_txt', 'ffffff') OR ! 
                Configuration::updateValue('cp_cookie_text', array($this->context->language->id => $this->l('This is a standard cookie notice which you can easily adapt or disable in admin. Please click Accept cookies to continue to use the site.')))) {
                return false;
            } else {
                return true;
            }
        } else {
            if (parent::install() == false OR ! $this->registerHook('displayFooter')) {
                return false;
            } else {
                return true;
            }
        }
    }

    public function psversion($part = 0)
    {
        $version = _PS_VERSION_;
        $exp     = $explode = explode(".", $version);
        if ($part == 0) {
            return $exp[0];
        }
        if ($part == 1) {
            return $exp[1];
        }
        if ($part == 2) {
            return $exp[2];
        }
        if ($part == 3) {
            return $exp[3];
        }
        if ($part == 4) {
            return $exp[3];
        }
    }

    public function getconf()
    {
        $var                     = new stdClass();
        $var->cp_cookie_position  = Configuration::get('cp_cookie_position');
        $var->cp_cookie_bg        = Configuration::get('cp_cookie_bg');        
        $var->cp_cookie_opacity   = Configuration::get('cp_cookie_opacity');
        $var->cp_cookie_close_txt = Configuration::get('cp_cookie_close_txt');
        $var->cp_cookie_close_bg  = Configuration::get('cp_cookie_close_bg');

        return $var;
    }

    public function return_dir()
    {
        return _MODULE_DIR_;
    }

    public function getContent()
    {
        $output = "";

        if (Tools::isSubmit('module_settings')) {
            Configuration::updateValue('cp_cookie_text', Tools::getValue('cp_cookie_text'), true);
            Configuration::updateValue('cpTiny', Tools::getValue('cpTiny', 0));
            Configuration::updateValue('cp_cookie_bg', Tools::getValue('cp_cookie_bg'), true);
            Configuration::updateValue('cp_cookie_close_bg', Tools::getValue('cp_cookie_close_bg'));
            Configuration::updateValue('cp_cookie_close_txt', Tools::getValue('cp_cookie_close_txt'));            
            Configuration::updateValue('cp_cookie_position', Tools::getValue('cp_cookie_position'), true);
            Configuration::updateValue('cp_cookie_opacity', Tools::getValue('cp_cookie_opacity'), true);
            Configuration::updateValue('cp_cookie_close_anim', Tools::getValue('cp_cookie_close_anim', 0));
            Configuration::updateValue('cp_cookie_padding', Tools::getValue('cp_cookie_padding', ''));
        }

        return $output . $this->displayForm();
    }

    public function displayForm()
    {
        $languages       = Language::getLanguages(false);
        $id_lang_default = (int)Configuration::get('PS_LANG_DEFAULT');
        $var             = $this->getconf();
        $this->context->cookie;
        $iso        = Language::getIsoById((int)($this->context->cookie->id_lang));
        $isoTinyMCE = (file_exists(_PS_ROOT_DIR_ . '/js/tiny_mce/langs/' . $iso . '.js') ? $iso : 'en');
        $ad         = dirname($_SERVER["PHP_SELF"]);

        if ($this->psversion() == 8) {
            $form = '
            <style>
                .language_flags {display:none;}
            </style>
            <script type="text/javascript">
                var iso = \'' . $isoTinyMCE . '\' ;
        		var pathCSS = \'' . _THEME_CSS_DIR_ . '\' ;
                var ad = \'' . $ad . '\' ;
    		</script>
            <script type="text/javascript" src="' . __PS_BASE_URI__ . 'js/tiny_mce/tiny_mce.js"></script>';
            if (Configuration::get('cpTiny') == 1) {
                $form .= '<script type="text/javascript" src="../modules/cp_cookie/tinymce16.inc.js"></script>';
            } else {
                $form .= '<script type="text/javascript" src="' . __PS_BASE_URI__ . 'js/admin/tinymce.inc.js"></script>';
                $form .= '<script type="text/javascript" src="../modules/cp_cookie/tinymce-original.js"></script>';

            }
        }
        $position_top    = "";
        $position_bottom = "";

        if (Configuration::get('cp_cookie_position') == 1) {
            $position_top = "checked=\"yes\"";
        }
        if (Configuration::get('cp_cookie_position') == 2) {
            $position_bottom = "checked=\"yes\"";
        }

        $values  = Configuration::getConfigInMultipleLangs('cp_cookie_text');
        $content = "";
        foreach ($languages as $language) {
            $content .= '
			<div id="ccont_' . $language['id_lang'] . '" style="margin-bottom:30px;">
                <h2>' . $language['name'] . '</h2>
				<textarea class="rte rtepro" id="cp_cookie_text_' . $language['id_lang'] . '" name="cp_cookie_text[' . $language['id_lang'] . ']" style="width:500px; height:300px;">' . (isset($values[$language['id_lang']]) ? $values[$language['id_lang']] : '') . '</textarea>
			</div>';
        }

        $form .= '
            <style>
            .adminmodules .nobootstrap .margin-form input, .adminmodules .nobootstrap .margin-form select {
                max-width: 200px;
            }
            .adminmodules .nobootstrap .margin-form {
                font-size: 1.0em;
            }
            .page-sidebar:not(.page-sidebar-closed) .nobootstrap {
                margin-left: 0px;
            }
            </style>
            <script type="text/javascript" src="../modules/cp_cookie/jscolor/jscolor.js"></script>
			<form action="' . $_SERVER['REQUEST_URI'] . '" method="post">
				<div class="panel">
				<fieldset class="nobootstrap">
					<h3><i class="icon-wrench"></i> ' . $this->l('CP cookie') . '</h3>
					
					<div style="margin-bottom:20px; display:block; clear:both; text-align:center; overflow:hidden;">
		                <div style="display:block; clear:both; margin-bottom:20px;">
							<label>' . $this->l('CP cookie text') . ':</label>
							<div class="margin-form">' . $content . '
							</div>	
		                </div>
	                </div>
                    <label>' . $this->l('Position') . '</label>
					<div class="margin-form">
						<input type="radio"  name="cp_cookie_position" value="1" ' . $position_top . '/>' . $this->l('Top') . '
                        <input type="radio"  name="cp_cookie_position" value="2" ' . $position_bottom . '/>' . $this->l('Bottom') . '
					</div>
                    <label>' . $this->l('Background color') . '</label>
					<div class="margin-form">
						<input type="text" class="color" name="cp_cookie_bg" value="' . Configuration::get('cp_cookie_bg') . '"/>
					</div>
					<label>' . $this->l('Additional Border (padding)') . '</label>
					<div class="margin-form">
						<input type="text" name="cp_cookie_padding" value="' . Configuration::get('cp_cookie_padding') . '"/> px
					</div>

                    <label>' . $this->l('Background color of [allow] button') . '</label>
					<div class="margin-form">
						<input type="text" class="color" name="cp_cookie_close_bg" value="' . Configuration::get('cp_cookie_close_bg') . '"/>
					</div>

                    <label>' . $this->l('Text color of [allow] button') . '</label>
					<div class="margin-form">
						<input type="text" class="color" name="cp_cookie_close_txt" value="' . Configuration::get('cp_cookie_close_txt') . '"/>
					</div>
                                        
                    <label>' . $this->l('Opacity') . '</label>
					<div class="margin-form">
						<input type="text" name="cp_cookie_opacity" value="' . Configuration::get('cp_cookie_opacity') . '"/>
                        ' . $this->l('for example: 0.5') . '
					</div>

					<label>' . $this->l('Close animation') . '</label>
					<div class="margin-form">
					    <select name="cp_cookie_close_anim">
					        <option ' . (Configuration::get('cp_cookie_close_anim') == 0 ? 'selected' : '') . ' value="0">' . $this->l('Slide out') . '</option>
					        <option ' . (Configuration::get('cp_cookie_close_anim') == 1 ? 'selected' : '') . ' value="1">' . $this->l('Fade out') . '</option>
					    </select>
					</div>
				
      			    </fieldset>
	                <div class="panel-footer ">
                        <button id="module_settings_button" name="module_settings" class="button btn btn-default pull-right">
                            <i class="process-icon-save"></i>
                            '.$this->l('save').'
                        </button>
                    </div>
      			</div>
   			</form>
		';

        return '' .  $form;
    }

    public function hookDisplayFooter($params)
    {
        if ( ! isset($_COOKIE['cookie_cp'])) {
            $var = $this->getconf();
            // global $smarty;
            $this->context->smarty->assign('vareu', $var);
            if ($this->psversion() == 8) {
                $this->context->smarty->assign(array('cp_cookie' => $message = Configuration::get('cp_cookie_text', $this->context->language->id)));
            } else {
                $this->context->cookie;
                $this->context->smarty->assign(array('cp_cookie' => $message = Configuration::get('cp_cookie_text', $cookie->id_lang)));
            }

            return $this->display(__file__, 'top.tpl');
        }
    }
}

class cp_cookieUpdate extends cp_cookie
{
    public static function version($version)
    {
        $version = (int)str_replace(".", "", $version);
        if (Tools::strlen($version) == 3) {
            $version = (int)$version . "0";
        }
        if (Tools::strlen($version) == 2) {
            $version = (int)$version . "00";
        }
        if (Tools::strlen($version) == 1) {
            $version = (int)$version . "000";
        }
        if (Tools::strlen($version) == 0) {
            $version = (int)$version . "0000";
        }

        return (int)$version;
    }

    public static function encrypt($string)
    {
        return base64_encode($string);
    }

    public static function verify($module, $key, $version)
    {
        if (ini_get("allow_url_fopen")) {
            if (function_exists("Tools::file_get_contents")) {
                $actual_version = Tools::file_get_contents('http://dev.mypresta.eu/update/get.php?module=' . $module . "&version=" . self::encrypt($version) . "&lic=$key&u=" . self::encrypt(_PS_BASE_URL_ . __PS_BASE_URI__));
            }
        }
        Configuration::updateValue("update_" . $module, date("U"));
        Configuration::updateValue("updatev_" . $module, $actual_version);

        return $actual_version;
    }
}

?>