{**
* 2007-2016 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
* @author    PrestaShop SA <contact@prestashop.com>
* @copyright 2007-2016 PrestaShop SA
* @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
* International Registered Trademark & Property of PrestaShop SA
*}
<div class="product-miniature js-product-miniature" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}">
   <div class="row">
      
      <div class="thumbnail-container">
         {block name='product_thumbnail'}
         {if $product.cover}
         <a href="{$product.url}" class="thumbnail product-thumbnail">
         <img
            class="img-fluid lazyload"
            data-src="{$product.cover.bySize.inner_default.url}"
            src="{$urls.img_url}megnor/home_default_loading.gif"
            height="{$product.cover.bySize.inner_default.height}"
            width="{$product.cover.bySize.inner_default.width}"
            alt="{if !empty($product.cover.legend)}{$product.cover.legend}{else}{$product.name|truncate:30:'...'}{/if}"
            loading="lazy"
            data-full-size-image-url="{$product.cover.large.url}"
            />
            {hook h="displayCpHoverImage" id_product=$product.id_product home='inner_default' large='inner_default'}
         </a>
         {else}
         <a href="{$product.url}" class="thumbnail product-thumbnail">
         <img
            class="lazyload"
            data-src="{$urls.no_picture_image.bySize.inner_default.url}"
            src="{$urls.img_url}megnor/home_default_loading.gif"
            height="{$urls.no_picture_image.bySize.inner_default.height}"
            width="{$urls.no_picture_image.bySize.inner_default.width}"
            loading="lazy"
            />
         </a>
         {/if}
         {/block}
         {include file='catalog/_partials/product-flags.tpl'}
         {block name='product_buy'}
         {if !$configuration.is_catalog}       
         <div class="product-actions-main">
            <form action="{$urls.pages.cart}" method="post" class="add-to-cart-or-refresh">
               <input type="hidden" name="token" value="{$static_token}">
               <input type="hidden" name="id_product" value="{$product.id}" class="product_page_product_id">
               <input type="hidden" name="id_customization" value="0" class="product_customization_id">
               
               {block name='quick_view'}
               <a class="quick-view btn btn-primary" href="#" data-link-action="quickview" data-toggle="tooltip" title="{l s='Quickview' d='Shop.Theme.Global'}">
               </a>
               {/block}
               {hook h='displayStCompareButton' product=$product}
               {hook h='displayStWishlistButton' product=$product}
            </form>
         </div>
         {/if}
         {/block}	
          <div class="highlighted-informations{if !$product.main_variants} no-variants{/if} hidden-sm-down">
            {block name='product_variants'}
            {if $product.main_variants}
            {include file='catalog/_partials/variant-links.tpl' variants=$product.main_variants}
            {/if}
            {/block}
         </div>     
      </div>

      <div class="product-description">
         <span class="product-brand">{Manufacturer::getNameById((int) $product.id_manufacturer)}</span>         

         {block name='product_name'}
         {if $page.page_name == 'index'}
         <span class="h3 product-title"><a href="{$product.url}" content="{$product.url}">{$product.name|truncate:65:'...'}</a></span>
         {else}
         <span class="h3 product-title"><a href="{$product.url}" content="{$product.url}">{$product.name|truncate:65:'...'}</a></span>
         {/if}
         {/block}      
         
         {block name='product_reviews'}
            {hook h='displayProductListReviews' product=$product}
         {/block}
         
         {block name='product_description_short'}
         <div class="product-detail">{$product.description_short nofilter}</div>
         {/block}

         {block name='product_buy'}
         {if !$configuration.is_catalog}       
         <div class="product-actions-main">
            <form action="{$urls.pages.cart}" method="post" class="add-to-cart-or-refresh">
               <input type="hidden" name="token" value="{$static_token}">
               <input type="hidden" name="id_product" value="{$product.id}" class="product_page_product_id">
               <input type="hidden" name="id_customization" value="0" class="product_customization_id">
               <!-- <button class="btn btn-primary view_detail" data-button-action="add-to-cart" type="submit" {if $product.availability == 'unavailable'} disabled {/if} data-toggle="tooltip" title="Add to cart">
               {l s='add to cart' d='Shop.Theme.Global'}
               </button> -->
               {block name='quick_view'}
               <a class="quick-view btn btn-primary" href="#" data-link-action="quickview" data-toggle="tooltip" title="{l s='Quickview' d='Shop.Theme.Global'}">
               </a>
               {/block}
               {hook h='displayStCompareButton' product=$product}
               {hook h='displayStWishlistButton' product=$product}
            </form>
         </div>
         {/if}
         {/block}

         

      </div>

      <div class="product-bottom">    
         
         {block name='product_price_and_shipping'}
         {if $product.show_price}
         <div class="product-price-and-shipping">
            <span class="price">{$product.price}</span>
            {if $product.has_discount}
            {hook h='displayProductPriceBlock' product=$product type="old_price"}
            {/if}
            {if $product.has_discount}
            {hook h='displayProductPriceBlock' product=$product type="old_price"}               
            <span class="sr-only">{l s='Regular price' d='Shop.Theme.Global'}</span>
            <span class="regular-price">{$product.regular_price}</span>
            {/if}
            {hook h='displayProductPriceBlock' product=$product type="before_price"}           
            {hook h='displayProductPriceBlock' product=$product type='unit_price'}
            {hook h='displayProductPriceBlock' product=$product type='weight'}
         </div>
         {/if}
         {/block}

         {block name='product_buy'}
         {if !$configuration.is_catalog}
         <div class="add-to-cart-button">
            <form action="{$urls.pages.cart}" method="post" class="add-to-cart-or-refresh">
                  <input type="hidden" name="token" value="{$static_token}">
                  <input type="hidden" name="id_product" value="{$product.id}" class="product_page_product_id">
                  <input type="hidden" name="id_customization" value="0" class="product_customization_id">
                  <button class="btn btn-primary add-to-cart" data-button-action="add-to-cart" type="submit" {if $product.availability == 'unavailable'} disabled {/if} data-toggle="tooltip" {if $product.availability == 'unavailable'} title="{l s='Out of stock' d='Shop.Theme.Global'}" {else} title="{l s='Add to cart' d='Shop.Theme.Global'}" {/if}>
                  {l s='add to cart' d='Shop.Theme.Global'}
            </button>
            </form>
         </div>
         {/if}
         {/block}
         
      </div>

   </div>
</div>
