{**
 * 2007-2017 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2017 PrestaShop SA
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
<div class="images-container js-images-container">
  {block name='product_cover'}
    <div class="product-cover">
      {if $product.default_image}
        <img          
          class="js-qv-product-cover img-fluid zoom-product lazyload"
          data-zoom-image="{$product.default_image.bySize.large_default.url}"
          data-src="{$product.default_image.bySize.large_default.url}"
          src="{$urls.img_url}megnor/home_default_loading.gif"
          height="{$product.default_image.bySize.large_default.height}"
          width="{$product.default_image.bySize.large_default.width}"
          {if !empty($product.default_image.legend)}
            alt="{$product.default_image.legend}"
            title="{$product.default_image.legend}"
          {else}
            alt="{$product.name}"
          {/if}
          loading="lazy"
        >
	      <div class="layer hidden-sm-down" data-toggle="modal" data-target="#product-modal">
          <i class="material-icons zoom-in">&#xE8FF;</i>
        </div>
      {else}
        <img
          class="img-fluid lazyload"
          data-src="{$urls.no_picture_image.bySize.large_default.url}"
          src="{$urls.img_url}megnor/home_default_loading.gif"
          height="{$urls.no_picture_image.bySize.large_default.height}"
          width="{$urls.no_picture_image.bySize.large_default.width}"
          loading="lazy"
        >
      {/if}
      {*{include file='catalog/_partials/product-flags.tpl'}*}
    </div>
  {/block}

  {block name='product_images'}
    {assign var='sliderFor' value=4} <!-- Define Number of product for SLIDER -->
    {assign var='thumbCount' value=count($product.images)}

    <!-- Horizontal Carousel Slider	 -->
    <div class="js-qv-mask mask {if $thumbCount >= $sliderFor}additional_slider{else}additional_grid{/if}">		
      {if $thumbCount >= $sliderFor}
      <ul id="additional-carousel" class="tm-carousel product_list additional-image-slider">
      {else}
      <ul id="additional-carousel" class="product_list grid row gridcount additional-image-slider">
      {/if}	
          {foreach from=$product.images item=image}
          <li class="thumb-container {if $thumbCount >= $sliderFor}item{else}product_item col-xs-12 col-sm-6 col-md-4 col-lg-3{/if}">
            <a href="javaScript:void(0)" class="elevatezoom-gallery" data-image="{$image.bySize.large_default.url}" data-zoom-image="{$image.bySize.large_default.url}">
              <img
                class="thumb js-thumb lazyload {if $image.id_image == $product.default_image.id_image} selected js-thumb-selected {/if}"

                data-image-medium-src="{$image.bySize.large_default.url}"
                data-image-large-src="{$image.bySize.large_default.url}"
                data-src="{$image.bySize.home_default.url}"      
                src="{$urls.img_url}megnor/home_default_loading.gif"                      
                alt="{$image.legend}"
                title="{$image.legend}"
                width="{$product.default_image.bySize.cart_default.width}"
                height="{$product.default_image.bySize.cart_default.height}"
                itemprop="image"               
              >
            </a>
          </li>
          {/foreach}
      </ul>	  
      {if $thumbCount >= $sliderFor}
        <div class="customNavigation">
          <i class="btn prev additional_prev">&nbsp;</i>
          <i class="btn next additional_next">&nbsp;</i>
        </div>
      {/if}
    </div>    

  {/block}
</div>
{hook h='displayAfterProductThumbs'}